org.apache.ignite.internal.processors.query.schema

## Class IndexRebuildCancelToken

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.IndexRebuildCancelToken

    public class IndexRebuildCancelToken
    extends Object

Index operation cancellation token.

### Constructor Summary

Constructors
Constructor and Description
`IndexRebuildCancelToken()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `cancel(Throwable e)` Do cancel.
`@Nullable Throwable` `cancelException()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IndexRebuildCancelToken

    public IndexRebuildCancelToken()

Default constructor.

### Method Detail

#### cancelException

    @Nullable
    public @Nullable Throwable cancelException()

Returns:
  Exception that causes cancellation action.

#### cancel

    public boolean cancel(Throwable e)

Do cancel.

Returns:
  `True` if cancel flag was set by this call.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022